Skip to main content

Create Payment (Auth, PreAuth or Sale)

POST 

/payments

Creates a payment request for transaction types Auth, PreAuth or Sale.

Request

Header Parameters

    idempotency-key string

    Idempotency Key for the request

    Example: 31f9952c-0058-458b-8244-4ae110ef1556

Body

required

    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    merchantTransactionId string

    ID of the transaction in the merchant system.

    Possible values: <= 45 characters

    relatedTransactionId string

    For recurring/rebilling and MIT, represents the reference to the original transaction ID of the initial transaction.

    Possible values: <= 20 characters

    productId string

    A free text parameter used to identify the product/service sold. If this parameter is not sent or is sent with an empty value, then it contains the concatenation of all item names up until the parameter maximum length. Risk rules and traffic management rules are usually built based on this parameter value.

    Possible values: <= 50 characters

    currencyConversion

    object

    type stringrequired

    Possible values: [MCP]

    originalAmount numberrequired

    The original amount of the transaction in the currency that the merchant requested.

    originalCurrency stringrequired

    The 3-letter ISO currency code of the currency that the merchant requested in the transaction.

    Possible values: >= 3 characters and <= 3 characters

    rateType string

    Possible values: [payment, payout, masterCardPayout]

    amount numberrequired

    The transaction amount.

    currency stringrequired

    Possible values: >= 3 characters and <= 3 characters

    transactionType transactionTypeInput (string)

    Determines the transaction type that is sent to the Gateway, when it comes to performing the fiscal transaction. Default is Sale.

    Possible values: [Auth, Sale, PreAuth]

    isMoto boolean

    Indicates whether the transaction was done over email/phone or is a regular transaction. Values: true = Moto transaction | false = no Moto Transaction

    isPartialApproval boolean

    Describes a situation where the deposit was completed and processed with an amount lower than the requested amount due to a consumer's lack of funds within the desired payment method. Partial approval is only supported by Nuvei acquiring. Values: true - Allow partial approval | false - Not allow partial approval

    zeroAmountReason string

    For Authentication Zero scenarios, this optional field defines the authentication type.

    Possible values: [recurring, installments, addCard, maintainCard, accountVerification]

    amountDetails

    object

    The items and amountDetails prices should be summed up in the amount parameter and sent separately. All prices must be in the same currency.

    totalDiscount number
    Default value: 0
    totalHandling number
    Default value: 0
    totalShipping number
    Default value: 0
    totalTax number
    Default value: 0

    paymentOption

    object

    required

    Represents the details of the payment method.

    card

    object

    cardHolderName string

    The cardholder name.

    Possible values: <= 70 characters

    cardNumber stringrequired

    The full card number.

    Possible values: >= 6 characters and <= 20 characters

    expirationMonth stringrequired

    The card expiration month.

    Possible values: >= 2 characters and <= 2 characters, Value must match regular expression ^(0[1-9]|1[0-2])$

    Example: 12
    expirationYear stringrequired

    The card expiration year.

    Possible values: >= 2 characters and <= 4 characters, Value must match regular expression ^(\d{4}|\d{2})$

    Example: 2023
    cvv CVV (string)

    The CVV/CVC security code.

    Possible values: >= 3 characters and <= 4 characters, Value must match regular expression ^([0-9]{3}|[0-9]{4})$

    Example: 123
    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2

    acquirer

    object

    The ID of the acquirer that processed the transaction.

    id string

    Possible values: <= 3 characters, Value must match regular expression ^[0-9]{2,3}$

    Example: 99
    bin string

    The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    merchantId string
    merchantName string

    externalAuthenticationDetails

    object

    eci /[0][0-9]/

    Possible values: <= 2 characters

    cavv CAVV (string)required

    Possible values: non-empty and <= 28 characters

    dsTransId uuid

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    externalRiskScore ExternalRiskScore (integer)

    Higher values represent higher transaction risk

    Possible values: <= 100

    version 3DS Version (string)

    threeD

    object

    continueWithoutLiabilityShift boolean

    If the continueWithoutLiabilityShift parameter is provided, the behavior is:
    true: The transaction will be processed as either non-3D or 3D, depending on other conditions.
    false: The transaction will be processed strictly as AUTH3D.

    Default value: true

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    userAccount

    object

    addCardAttempts24H integer

    Number of Add Card attempts in the last 24 hours.

    addressFirstUseDate date

    Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD.

    addressFirstUseIndicator string

    Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    age string

    Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    lastChangeDate date

    Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added.

    lastChangeIndicator string

    Length of time since the cardholder's account information with the 3DS Requestor was last changed, including billing or shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    cardSavedDate date

    The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor.

    cardSavedIndicator string

    Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago

    Possible values: [01, 02, 03, 04, 05]

    nameIndicator string

    Indicates if the cardholderName on the account is identical to the shipping name used for this transaction. Values: 01 = Account Name identical to Shipping Name | 02 = Account Name different than Shipping Name

    Possible values: [01, 02]

    passwordChangeDate date

    Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD.

    purchasesCount6M integer

    Number of purchases with this cardholder account during the previous six months.

    registrationDate date

    Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD.

    resetIndicator string

    Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    suspiciousActivityIndicator string

    Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed

    Possible values: [01, 02]

    transactionsCount1Y integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year.

    transactionsCount24H integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours.

    giftCard

    object

    count integer

    For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased.

    Possible values: >= 1

    totalAmount number

    For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123).

    currency string

    For a prepaid or gift card purchase, the 3-letter ISO currency code of the gift card.

    Possible values: >= 3 characters and <= 3 characters

    delivery

    object

    deliveryEmail string
    timeFrame string

    Indicates the merchandise delivery time frame. Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = Two-day or more shipping

    Possible values: [01, 02, 03, 04]

    preOrder

    object

    date date
    purchaseIndicator string

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability

    Possible values: [01, 02]

    reorderItemsIndicator ReorderItemsIndicator (string)

    Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 = Reordered

    Possible values: [01, 02]

    shippingIndicator ShippingIndicator (string)

    Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholders billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.)

    Possible values: [01, 02, 03, 04, 05, 06, 07]

    merchantUrl string

    The URL of the merchant’s fully qualified website.

    fingerprintNotificationUrl stringrequired

    URL to which the issuer should send the fingerprinting notification response

    challengeNotificationUrl stringrequired

    URL to which the issuer should send a notification after the 3D-Secure challenge step

    challengeWindowSize ChallengeWindowSize (string)required

    The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen

    Possible values: [01, 02, 03, 04, 05]

    platformType PlatformType (string)

    The device channel. Values: 01 = SDK | 02 = Browser

    Possible values: [01, 02]

    Default value: 02
    externalRiskScore integer

    If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0–100 where 0 is lowest risk and 100 is the highest risk.
    To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request.
    For low risk scores, this may result in non-3D processing.
    For high risk scores, this may result in 3DS authentication
    NOTE: Nuvei’s Fraud Engine considers this value if coordinated in advance with our Risk Team

    Possible values: <= 100

    paymentToken

    object

    paymentTokenId tokenId (string)required

    Payment Token ID

    additionalData object
    Example: {"accountNumber":"11345739548759","routingNumber":"847937857"}
    usageIntent string

    Possible values: non-empty and <= 100 characters

    threeD

    object

    continueWithoutLiabilityShift boolean

    If the continueWithoutLiabilityShift parameter is provided, the behavior is:
    true: The transaction will be processed as either non-3D or 3D, depending on other conditions.
    false: The transaction will be processed strictly as AUTH3D.

    Default value: true

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    userAccount

    object

    addCardAttempts24H integer

    Number of Add Card attempts in the last 24 hours.

    addressFirstUseDate date

    Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD.

    addressFirstUseIndicator string

    Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    age string

    Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    lastChangeDate date

    Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added.

    lastChangeIndicator string

    Length of time since the cardholder's account information with the 3DS Requestor was last changed, including billing or shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    cardSavedDate date

    The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor.

    cardSavedIndicator string

    Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago

    Possible values: [01, 02, 03, 04, 05]

    nameIndicator string

    Indicates if the cardholderName on the account is identical to the shipping name used for this transaction. Values: 01 = Account Name identical to Shipping Name | 02 = Account Name different than Shipping Name

    Possible values: [01, 02]

    passwordChangeDate date

    Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD.

    purchasesCount6M integer

    Number of purchases with this cardholder account during the previous six months.

    registrationDate date

    Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD.

    resetIndicator string

    Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    suspiciousActivityIndicator string

    Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed

    Possible values: [01, 02]

    transactionsCount1Y integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year.

    transactionsCount24H integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours.

    giftCard

    object

    count integer

    For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased.

    Possible values: >= 1

    totalAmount number

    For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123).

    currency string

    For a prepaid or gift card purchase, the 3-letter ISO currency code of the gift card.

    Possible values: >= 3 characters and <= 3 characters

    delivery

    object

    deliveryEmail string
    timeFrame string

    Indicates the merchandise delivery time frame. Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = Two-day or more shipping

    Possible values: [01, 02, 03, 04]

    preOrder

    object

    date date
    purchaseIndicator string

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability

    Possible values: [01, 02]

    reorderItemsIndicator ReorderItemsIndicator (string)

    Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 = Reordered

    Possible values: [01, 02]

    shippingIndicator ShippingIndicator (string)

    Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholders billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.)

    Possible values: [01, 02, 03, 04, 05, 06, 07]

    merchantUrl string

    The URL of the merchant’s fully qualified website.

    fingerprintNotificationUrl stringrequired

    URL to which the issuer should send the fingerprinting notification response

    challengeNotificationUrl stringrequired

    URL to which the issuer should send a notification after the 3D-Secure challenge step

    challengeWindowSize ChallengeWindowSize (string)required

    The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen

    Possible values: [01, 02, 03, 04, 05]

    platformType PlatformType (string)

    The device channel. Values: 01 = SDK | 02 = Browser

    Possible values: [01, 02]

    Default value: 02
    externalRiskScore integer

    If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0–100 where 0 is lowest risk and 100 is the highest risk.
    To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request.
    For low risk scores, this may result in non-3D processing.
    For high risk scores, this may result in 3DS authentication
    NOTE: Nuvei’s Fraud Engine considers this value if coordinated in advance with our Risk Team

    Possible values: <= 100

    alternativePaymentMethod

    object

    name stringrequired

    Possible values: non-empty and <= 50 characters

    Example: ACH
    data object
    Example: {"accountNumber":"11345739548759","routingNumber":"847937857"}
    usageIntent UsageIntent (string)

    Possible values: [initial, recurring, direct]

    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2

    temporaryPaymentToken

    object

    paymentTokenId tokenId (string)required

    Payment Token ID

    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2

    threeD

    object

    continueWithoutLiabilityShift boolean

    If the continueWithoutLiabilityShift parameter is provided, the behavior is:
    true: The transaction will be processed as either non-3D or 3D, depending on other conditions.
    false: The transaction will be processed strictly as AUTH3D.

    Default value: true

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    userAccount

    object

    addCardAttempts24H integer

    Number of Add Card attempts in the last 24 hours.

    addressFirstUseDate date

    Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD.

    addressFirstUseIndicator string

    Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    age string

    Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    lastChangeDate date

    Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added.

    lastChangeIndicator string

    Length of time since the cardholder's account information with the 3DS Requestor was last changed, including billing or shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    cardSavedDate date

    The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor.

    cardSavedIndicator string

    Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago

    Possible values: [01, 02, 03, 04, 05]

    nameIndicator string

    Indicates if the cardholderName on the account is identical to the shipping name used for this transaction. Values: 01 = Account Name identical to Shipping Name | 02 = Account Name different than Shipping Name

    Possible values: [01, 02]

    passwordChangeDate date

    Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD.

    purchasesCount6M integer

    Number of purchases with this cardholder account during the previous six months.

    registrationDate date

    Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD.

    resetIndicator string

    Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    suspiciousActivityIndicator string

    Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed

    Possible values: [01, 02]

    transactionsCount1Y integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year.

    transactionsCount24H integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours.

    giftCard

    object

    count integer

    For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased.

    Possible values: >= 1

    totalAmount number

    For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123).

    currency string

    For a prepaid or gift card purchase, the 3-letter ISO currency code of the gift card.

    Possible values: >= 3 characters and <= 3 characters

    delivery

    object

    deliveryEmail string
    timeFrame string

    Indicates the merchandise delivery time frame. Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = Two-day or more shipping

    Possible values: [01, 02, 03, 04]

    preOrder

    object

    date date
    purchaseIndicator string

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability

    Possible values: [01, 02]

    reorderItemsIndicator ReorderItemsIndicator (string)

    Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 = Reordered

    Possible values: [01, 02]

    shippingIndicator ShippingIndicator (string)

    Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholders billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.)

    Possible values: [01, 02, 03, 04, 05, 06, 07]

    merchantUrl string

    The URL of the merchant’s fully qualified website.

    fingerprintNotificationUrl stringrequired

    URL to which the issuer should send the fingerprinting notification response

    challengeNotificationUrl stringrequired

    URL to which the issuer should send a notification after the 3D-Secure challenge step

    challengeWindowSize ChallengeWindowSize (string)required

    The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen

    Possible values: [01, 02, 03, 04, 05]

    platformType PlatformType (string)

    The device channel. Values: 01 = SDK | 02 = Browser

    Possible values: [01, 02]

    Default value: 02
    externalRiskScore integer

    If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0–100 where 0 is lowest risk and 100 is the highest risk.
    To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request.
    For low risk scores, this may result in non-3D processing.
    For high risk scores, this may result in 3DS authentication
    NOTE: Nuvei’s Fraud Engine considers this value if coordinated in advance with our Risk Team

    Possible values: <= 100

    store store (string)

    Possible values: [none, initial, subsequent, tokenOnly, buyerToken]

    networkToken

    object

    provider TokenProvider (string)

    The name of the external token provider Possible values: [ApplePay, GooglePay]

    Possible values: [ApplePay, GooglePay, Click2Pay, Paze]

    token string

    This encrypted token (REQUIRED for Apple Pay, Google Pay, Paze and Click2Pay) represents a customer payment method generated by the external token provider

    tokenAssuranceLevel string
    tokenRequestorId string
    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2

    externalAuthenticationDetails

    object

    eci /[0][0-9]/

    Possible values: <= 2 characters

    cavv CAVV (string)required

    Possible values: non-empty and <= 28 characters

    dsTransId uuid

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    externalRiskScore ExternalRiskScore (integer)

    Higher values represent higher transaction risk

    Possible values: <= 100

    version 3DS Version (string)

    acquirer

    object

    The ID of the acquirer that processed the transaction.

    id string

    Possible values: <= 3 characters, Value must match regular expression ^[0-9]{2,3}$

    Example: 99
    bin string

    The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    merchantId string
    merchantName string

    threeD

    object

    continueWithoutLiabilityShift boolean

    If the continueWithoutLiabilityShift parameter is provided, the behavior is:
    true: The transaction will be processed as either non-3D or 3D, depending on other conditions.
    false: The transaction will be processed strictly as AUTH3D.

    Default value: true

    challenge

    object

    preference Preference (string)

    Possible values: [Challenge, Exemption, NoPreference]

    exemptionReason ExemptionReason (string)

    Possible values: [InitialMerchantInitiatedTransaction, InitialRecurringPayment, AddCard, AccountVerification, MerchantInitiatedTransaction, RecurringPayment, MerchantSCADelegation, WalletSCADelegation, CorporateCard, TrustedBeneficiaries, AlwaysChallenge, NoPreference, RuleEngineChallenge, LowValueTransaction, TransactionRiskAnalysis, SoftDeclineReSubmissionTo3DS2, ElevatedWalletAuthentication, FraudFilterReSubmissionTo3DS2]

    userAccount

    object

    addCardAttempts24H integer

    Number of Add Card attempts in the last 24 hours.

    addressFirstUseDate date

    Date when the shipping address used for this transaction was first used with the 3DS Requestor in the format: YYYYMMDD.

    addressFirstUseIndicator string

    Indicates when the shipping address used for this transaction was first used with the 3DS Requestor. Values: 01 = This transaction | 02 = Less than 30 days | 03 = 30–60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    age string

    Length of time that the cardholder has had the account with the 3DS Requestor. Values: 01 = No account (payment as a guest) | 02 = Created during this transaction | 03 = Less than 30 days | 04 = 30-60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    lastChangeDate date

    Date (in YYYYMMDD format) that the cardholder's account with the 3DS Requestor was last changed, including Billing or Shipping address, new payment account, or new user(s) added.

    lastChangeIndicator string

    Length of time since the cardholder's account information with the 3DS Requestor was last changed, including billing or shipping address, new payment account, or new user(s) added. Values: 01 = Changed during this transaction | 02 = Less than 30 days | 03 = 30-60 days | 04 = More than 60 days

    Possible values: [01, 02, 03, 04]

    cardSavedDate date

    The date on which the payment account was enrolled in the cardholder's account with the 3DS Requestor.

    cardSavedIndicator string

    Indicates the length of time that the payment account was enrolled in the cardholder's account with the 3DS Requestor. Values: 01 = If merchant does not save the card on their end, the deposit was processed without creating an account | 02 = If card is saved as part of this transaction flow | 03 = Card was saved less than 30 days ago | 04 = Card was saved between 30 and 60 days ago, endpoints included | 05 = Card was saved more than 60 days ago

    Possible values: [01, 02, 03, 04, 05]

    nameIndicator string

    Indicates if the cardholderName on the account is identical to the shipping name used for this transaction. Values: 01 = Account Name identical to Shipping Name | 02 = Account Name different than Shipping Name

    Possible values: [01, 02]

    passwordChangeDate date

    Date that cardholder's account with the 3DS Requestor had a password change or account reset in format: YYYYMMDD.

    purchasesCount6M integer

    Number of purchases with this cardholder account during the previous six months.

    registrationDate date

    Date that the cardholder opened the account with the 3DS Requestor in the format: YYYYMMDD.

    resetIndicator string

    Indicates the length of time since the cardholder's account with the 3DS Requestor had a password change or account reset. Values: 01 = No change | 02 = Changed during this transaction | 03 = Less than 30 days | 04 = 30–60 days | 05 = More than 60 days

    Possible values: [01, 02, 03, 04, 05]

    suspiciousActivityIndicator string

    Indicates whether the 3DS Requestor has experienced suspicious activity (including previous fraud) on the cardholder account. Values: 01 = No suspicious activity has been observed | 02 = Suspicious activity has been observed

    Possible values: [01, 02]

    transactionsCount1Y integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous year.

    transactionsCount24H integer

    Number of transactions (successful and abandoned) for this cardholder account with the 3DS Requestor across all payment accounts in the previous 24 hours.

    giftCard

    object

    count integer

    For a prepaid or gift card purchase, the total number of individual prepaid or gift cards/codes purchased.

    Possible values: >= 1

    totalAmount number

    For a prepaid or gift card purchase, the total purchase amount of prepaid or gift card(s) in major units (for example, USD 123.45 is 123).

    currency string

    For a prepaid or gift card purchase, the 3-letter ISO currency code of the gift card.

    Possible values: >= 3 characters and <= 3 characters

    delivery

    object

    deliveryEmail string
    timeFrame string

    Indicates the merchandise delivery time frame. Values: 01 = Electronic Delivery | 02 = Same day shipping | 03 = Overnight shipping | 04 = Two-day or more shipping

    Possible values: [01, 02, 03, 04]

    preOrder

    object

    date date
    purchaseIndicator string

    Indicates whether the cardholder is placing an order for merchandise with a future availability or release date. Values: 01 = Merchandise available | 02 = Future availability

    Possible values: [01, 02]

    reorderItemsIndicator ReorderItemsIndicator (string)

    Indicates whether the cardholder is reordering previously purchased merchandise. Values: 01 = First time ordered | 02 = Reordered

    Possible values: [01, 02]

    shippingIndicator ShippingIndicator (string)

    Indicates the selected shipping method for the transaction. Values: 01 = Ship to cardholder billing address | 02 = Ship to another verified address on file with merchant | 03 = Ship to address that is different than the cardholders billing address | 04 = Ship to Store/Pickup at local store (store address shall be populated in shipping address parameters) | 05 = Digital goods (includes online services, electronic gift cards and redemption codes) | 06 = Travel and event tickets, not shipped | 07 = Other (for example: gaming, digital services not shipped, e-media subscriptions, etc.)

    Possible values: [01, 02, 03, 04, 05, 06, 07]

    merchantUrl string

    The URL of the merchant’s fully qualified website.

    fingerprintNotificationUrl stringrequired

    URL to which the issuer should send the fingerprinting notification response

    challengeNotificationUrl stringrequired

    URL to which the issuer should send a notification after the 3D-Secure challenge step

    challengeWindowSize ChallengeWindowSize (string)required

    The dimensions of the challenge window. Values: 01 = 250 x 400 | 02 = 390 x 400 | 03 = 500 x 600 | 04 = 600 x 400 | 05 = Full screen

    Possible values: [01, 02, 03, 04, 05]

    platformType PlatformType (string)

    The device channel. Values: 01 = SDK | 02 = Browser

    Possible values: [01, 02]

    Default value: 02
    externalRiskScore integer

    If you wish to request an exemption prior to the Authentication request when Nuvei is your 3DS MPI, you should provide the risk assessment that you have calculated for the transaction. Alternatively, you can use this parameter during an Authorization request without any prior authentication when the transaction amount allows it. Please contact our Risk Team to set the risk score below which an exemption can be given. Valid values are 0–100 where 0 is lowest risk and 100 is the highest risk.
    To activate sale3D and enable liability shift, include continueWithoutLiabilityShift=true in your request.
    For low risk scores, this may result in non-3D processing.
    For high risk scores, this may result in 3DS authentication
    NOTE: Nuvei’s Fraud Engine considers this value if coordinated in advance with our Risk Team

    Possible values: <= 100

    providerData

    object

    correlationId string

    items

    object[]

  • Array [

  • name stringrequired
    price numberrequired
    quantity integerrequired
  • ]

  • dynamicDescriptor

    object

    merchantName string

    The merchant name, as is displayed for the transaction on the consumer's card statement.

    Possible values: <= 25 characters

    merchantContactInformation string

    The merchant contact information, as is displayed for the transaction on the consumer's card statement. It can also be an email address.

    Possible values: <= 255 characters

    subMerchant

    object

    id string

    Represents the internal merchant’s ID, which is forwarded to Visa and Mastercard

    Possible values: <= 15 characters

    city string

    The payment facilitator’s sub-merchant’s city name.

    Possible values: <= 20 characters

    countryCode string

    The payment facilitator’s sub-merchant’s 2-letter ISO country code.

    Possible values: >= 2 characters and <= 2 characters

    name string

    The payment facilitator’s sub-merchant’s name.

    Possible values: <= 20 characters

    address string

    The payment facilitator’s sub-merchant’s address.

    zip string

    The payment facilitator’s sub-merchant’s zip code.

    phone string

    The payment facilitator’s sub-merchant’s phone number.

    state string

    The payment facilitator’s sub-merchant’s state.

    url string

    The payment facilitator’s sub-merchant’s url.

    urlDetails

    object

    With this class, a merchant can dynamically provide possible URLs to which the end user is redirected after a payment is made, as well as a dynamic URL for DMNs.

    webhookUrl string

    The URL to which notifications for outcome of the financial transactions is sent.

    successUrl string

    The URL to which the end user is redirected for a successful transaction with an APM.

    failureUrl string

    The URL to which the end user is redirected for an unsuccessful transaction with an APM.

    pendingUrl string

    The URL to which the end user is redirected for a pending transaction with an APM.

    returnToAppUrl string

    The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser.

    rebill

    object

    expiry date

    Recurring Expiry in the format: YYYYMMDD. REQUIRED if step = init. We recommend setting expiry to a value of no more than 5 years from the date of the initial transaction processing date

    frequency integer

    Recurring Frequency in days. REQUIRED if step = init

    step string

    Indicates the type of transaction performed as part of a rebilling plan.

    Possible values: [init, recurring, MIT, noShow, delayedCharges]

    deviceDetails

    object

    deviceName string
    deviceOS string
    deviceType string

    Supported device types include: DESKTOP, SMARTPHONE, TABLET, TV, UNKNOWN (if device type cannot be recognized).

    ipAddress string

    The customer's IP address.

    browser

    object

    acceptHeader string

    Exact content of the HTTP accept headers as sent to the 3DS Requestor from the cardholder's browser. If the total length of the accept header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    colorDepth integer

    Value representing the bit depth of the color palette for displaying images, in bits per pixel. Obtained from cardholder browser using the screen.colorDepth property. Values: 1, 4, 8, 15, 16, 24, 32, 48

    javaEnabled boolean

    Represents the ability of the cardholder browser to execute Java. REQUIRED when javaScriptEnabled is TRUE. Value is returned from the navigator.javaEnabled property. Values: TRUE, FALSE

    javaScriptEnabled boolean

    Determines whether the browser is JavaScript enabled (from navigator.javaScriptEnabled property). Values: TRUE, FALSE

    language string

    Value representing the browser language as defined in IETF BCP47. Returned from navigator.language property.

    screenHeight integer

    Total height of the cardholder's screen in pixels. Value is returned from the screen.height property.

    screenWidth integer

    Total width of the cardholder's screen in pixels. Value is returned from the screen.width property.

    timeZone string

    Time difference between UTC time and the cardholder browser local time, in minutes. Values: Value is returned from the getTimezoneOffset() method.

    userAgent string

    Exact content of the HTTP user-agent header. Values: If the total length of the user-agent header sent by the browser exceeds 2048 characters, the 3D-Secure Server truncates the excess portion.

    msisdn string

    Device MSISDN

    iccId string

    Device ICCID

    imei string

    Device IMEI

    devicePossessionStatus DevicePossessionStatus (string)

    Indication if the device is lost or stolen

    Possible values: [lost, stolen]

    custom

    object

    property name* string

    buyerDetails

    object

    buyerId string

    The buyerId is required if buyerToken is provided as a value in the store parameter.

    Possible values: <= 255 characters

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    companyName string

    Possible values: <= 100 characters

    locale string

    Possible values: <= 5 characters

    dateOfBirth date
    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    workPhone string

    Possible values: <= 18 characters

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    nationalIdentificationNumber string

    Possible values: <= 25 characters

    accountReference BuyerAccountReference (string)

    Possible values: <= 34 characters

    billingAddress

    object

    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    street string

    Possible values: <= 100 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode stringrequired

    2 digits ISO country code

    Possible values: >= 2 characters and <= 2 characters

    phone string

    Possible values: <= 18 characters

    addressMatch boolean

    shippingAddress

    object

    sameAsBilling boolean
    Default value: false
    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    streetNumber string

    Possible values: <= 20 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode string

    Possible values: >= 2 characters and <= 2 characters

    firstName string

    Possible values: <= 30 characters

    lastName string

    Possible values: <= 40 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    externalSchemeDetails

    object

    transactionId stringrequired

    Possible values: <= 50 characters

    brand stringrequired

    Possible values: [VISA, MASTERCARD, AMEX, DINERS, DISCOVERY]

    aftDetails

    object

    aftOverride AftOverride (boolean)

    true or false

    recipientDetails

    object

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    address stringdeprecated

    Possible values: non-empty

    addressLine2 stringdeprecated

    Possible values: non-empty

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    accountReference RecipientAccountReference (string)

    Possible values: <= 34 characters

    addressDetails

    object

    address string

    Possible values: non-empty and <= 100 characters

    addressLine2 string

    Possible values: non-empty and <= 100 characters

    street string

    Possible values: <= 100 characters

    zip string

    Possible values: <= 25 characters

    city string

    Possible values: <= 30 characters

    state string

    Possible values: <= 2 characters

    countryCode string

    Possible values: <= 2 characters

    mcc string

    Enables merchants to provide multiple MCC codes, subject to approval by Nuvei’s underwriting team.

    nameVerification

    object

    enable boolean
    Default value: false
    feeOriginCountryCode string

    Possible values: >= 2 characters and <= 2 characters

    digitalAssetType DigitalAssetType (string)

    Possible values: [Default, CBDC, TokenizedDeposit, Stablecoin, NativeToken, NFT]

    extendedData

    object

    risk

    object

    buyerRiskDetails

    object

    customerSince date-time
    signUpIp string
    popularityScore PopularityScore (string)

    Possible values: [low, medium, high]

    isExistingCustomer boolean
    isLoyaltyFlagExists boolean

    recipientRiskDetails

    object

    businessName string
    signUpIp string
    popularityScore PopularityScore (string)

    Possible values: [low, medium, high]

    customerSince date-time
    phoneCreateDate date-time

    buyerRecipientInteraction

    object

    firstInteractionAt date-time
    interaction3Months InteractionFrequency (string)

    Possible values: [low, medium, high]

    interactionFrequency InteractionFrequency (string)

    Possible values: [low, medium, high]

    firstInteractionWithApp date-time

    transactionMetrics

    object

    transactionsCount1H integer
    transactionsCount24H integer
    transactionsCount3Months integer
    transactionsCountTotal integer
    numberTopUps24H integer
    numberTopUpReceivers integer
    chargebacksIndicator ChargebacksIndicator (string)

    Possible values: [zero, low, medium, high]

    isTangible boolean

    paymentFlow

    object

    paymentConsentMode PaymentConsentMode (string)

    Possible values: [automatic, manual]

    highRiskItemFlag boolean
    verticalCategory string
    isTangible boolean

    deliveryInfo

    object

    deliveryMethod string
    deliveryAddressChangedAt date-time

    travelBookingInfo

    object

    type string
    serviceStartAt date-time
    serviceEndAt date-time
    changeGuestAllowed boolean
    startCountry string
    endCountry string
    startCity string
    endCity string
    startZipCode string
    endZipCode string
    startSpot string
    endSpot string

    geoLocation

    object

    storeLatitude string
    storeLongitude string
    senderLatitude string
    senderLongitude string

    merchantScores

    object

    multiCardUsageIndicator integer

    Indication of 2 cards transaction. Values: 0 - not a multicard transaction 1 - multicard transaction with 1st card 2 - multicard transaction with 2nd card

    identityRiskScore number
    phoneVerificationRiskScore number

    storeInfo

    object

    storeId string

    customData

    object

    stringOne string
    stringTwo string
    intOne integer

    installments

    object

    numberOfInstallments integer
    type string

    Possible values: [deferredWithInterest, deferredWithoutInterest, deferredWithoutInterestAndGracePeriod]

    fundAnticipationType string

    Possible values: [fundedPerOriginalPlan, fundedAfter1Day, fundedAfter30Days]

    debitType string

    Possible values: [singularPayment, installments, specialDebit]

    localPayment

    object

    vatAmount number

    VAT tax amount calculated by the merchant in domestic currency

    nationalConsumptionTaxAmount number

    Consumption tax amount calculated by the merchant in domestic currency

    taxBase

    object

    amount number

    Purchase amount in domestic currency on which taxes were calculated

    currencyCode string

    ISO-4217 alpha-3 currency code

    Possible values: >= 3 characters and <= 3 characters

    tipAmount number

    Tip amount paid during the purchase transaction

    airportChargeAmount number

    Airport charge portion of an airline ticket purchase

    nationalId string

    Cardholder national identification number

    lodging

    object

    reservationDetails

    object

    purchaseId string

    Merchant reference

    customerServicePhone string

    Customer service phone number

    noShowIndicator NoShowIndicator (string)

    Possible values: [NotApplicable, NoShow]

    extraCharges LodgingExtraCharges (string)

    Possible values: [PositionNotUsed, Reserved, Restaurant, GiftShop, MiniBar, Telephone, Other, Laundry]

    checkInDate string

    Check-in date in YYYYMMDD format

    checkOutDate string

    Check-out date in YYYYMMDD format

    propertyPhone string

    Property phone number

    lodgingName string

    Hotel or cruise name

    lodgingType LodgingType (string)

    Possible values: [Cruise, Hotel]

    totalAuthAmount number

    Total authorized amount

    rooms

    object

    rate number

    Daily room rate

    nights integer

    Total number of nights

    passengerDetails

    object[]

    List of passengers

  • Array [

  • fullName string

    Full name of the passenger

  • ]

  • segments

    object[]

    Departure leg dates, up to 4

    Possible values: <= 4

  • Array [

  • departureDate string

    Departure date in YYYYMMDD format

  • ]

  • externalAuthorization

    object

    approvalCode string

    Payment approval or authorization code provided by the card scheme.Present only for approved transactions.

    Possible values: non-empty and <= 6 characters

    formOfPaymentTransactionIdentifier string

    Visa exactly 21 characters, Mastercard exactly 15 characters.

    cardVerificationValueResult string

    CVV verification result returned by the card scheme.

    Possible values: non-empty and <= 1 characters

    sourceOfApprovalCode string

    Source of approval code. Allowed values: "M", "C", or space.

    Possible values: non-empty and <= 1 characters

    dateOfIssue string

    Scheme authorization date in YYMMDD format. Not an ISO date. Leading zeros must be preserved.

    Possible values: Value must match regular expression ^[0-9]{6}$

    timeOfIssue string

    Scheme authorization time in HHMM format. Not an ISO time.

    Possible values: Value must match regular expression ^[0-9]{4}$

    bspCountryCode string

    BSP country code as a 2-letter ISO-3166 alpha-2 code.

    Possible values: >= 2 characters and <= 2 characters

    retrievalReferenceNumber string

    Retrieval Reference Number (RRN). If not available, must be sent as 12 zeros.

    Possible values: >= 12 characters and <= 12 characters

    systemTraceAuditNumber string

    System Trace Audit Number (STAN). If not available, must be sent as 6 zeros.

    Possible values: >= 6 characters and <= 6 characters

    schemeResponseCode string

    Original response code returned by the card scheme. Used mainly for declined authorizations and reporting.

    Possible values: non-empty and <= 3 characters

    additionalCardPaymentDataVisa

    object

    Visa-specific POS and authorization data.

    pointOfServiceEntryModeCode string

    Visa POS entry mode code.

    Possible values: >= 2 characters and <= 2 characters

    cardSequenceNumber string

    Card sequence number. Numeric or space-padded.

    Possible values: >= 3 characters and <= 3 characters

    pointOfServiceEntryConditionCode string

    Visa POS entry condition code.

    Possible values: >= 2 characters and <= 2 characters

    responseCode string

    Visa authorization response code. "00" indicates approval.

    Possible values: >= 2 characters and <= 2 characters

    additionalPosInformation

    object

    Visa additional POS indicators.

    terminalType string

    Terminal type indicator.

    Possible values: non-empty and <= 1 characters

    terminalEntryCapability string

    Terminal entry capability indicator.

    Possible values: non-empty and <= 1 characters

    chipConditionCode string

    Chip condition code. Numeric or space.

    Possible values: non-empty and <= 1 characters

    specialConditionIndicator string

    Special condition indicator. Numeric or space.

    Possible values: non-empty and <= 1 characters

    chipTransactionIndicator string

    Chip transaction indicator. Numeric or space.

    Possible values: non-empty and <= 1 characters

    chipCardAuthenticationReliabilityIndicator string

    Chip card authentication reliability indicator. Numeric or space.

    Possible values: non-empty and <= 1 characters

    cardholderIdMethodIndicator string

    Cardholder ID method indicator.

    Possible values: non-empty and <= 1 characters

    authorisationCharacteristicsIndicator string

    Visa authorization characteristics indicator. May be space-padded.

    Possible values: non-empty and <= 1 characters

    additionalCardPaymentDataMC

    object

    Mastercard-specific POS and authorization data.

    pointOfServiceEntryMode string

    Mastercard POS entry mode.

    Possible values: >= 3 characters and <= 3 characters

    cardSequenceNumber string

    Card sequence number. Numeric or space-padded.

    Possible values: >= 3 characters and <= 3 characters

    posTerminalAttendance string

    POS terminal attendance indicator.

    Possible values: non-empty and <= 1 characters

    posTerminalLocation string

    POS terminal location indicator.

    Possible values: non-empty and <= 1 characters

    posCardholderPresence string

    Cardholder presence indicator.

    Possible values: non-empty and <= 1 characters

    posCardPresence string

    Card presence indicator.

    Possible values: non-empty and <= 1 characters

    posCardCaptureCapabilities string

    POS card capture capability indicator.

    Possible values: non-empty and <= 1 characters

    posTransactionStatus string

    POS transaction status indicator.

    Possible values: non-empty and <= 1 characters

    posTransactionSecurity string

    POS transaction security indicator.

    Possible values: non-empty and <= 1 characters

    cardholderActivatedTerminalLevel string

    Cardholder-activated terminal level.

    Possible values: non-empty and <= 1 characters

    posCardDataTerminalInputCapabilityIndicator string

    POS card data terminal input capability indicator.

    Possible values: non-empty and <= 1 characters

    posAuthorisationLifecycle string

    airlines

    object

    pnrCode string

    Passenger Name Record identifier in airline reservation system

    bookingSystemUniqueId string

    Unique reservation identifier in the GDS

    computerizedReservationSystem string

    CRS name, e.g. Amadeus, Sabre, Galileo

    ticketNumber string

    Primary airline ticket number

    documentType string

    Document type, typically TKT (e-ticket) or OT

    flightDateUtc date-time

    UTC date/time of first flight leg

    issueDateUtc date-time

    UTC timestamp of last ticket issue or reissue

    travelAgencyCode string

    IATA agency code

    travelAgencyName string

    Travel agency name

    travelAgencyInvoiceNumber string

    Agency invoice reference

    travelAgencyPlaneName string

    Aircraft type ICAO code (e.g., B737)

    restrictedTicketIndicator RestrictedTicketIndicator (string)

    Possible values: [Restricted, NotRestricted]

    issuingCarrierCode string

    Two-letter IATA issuing airline code

    Possible values: >= 2 characters and <= 2 characters

    isPayerTraveling boolean

    Indicates whether the payer is a passenger

    passengersCount integer

    Total number of passengers (excluding infants)

    infantsCount integer

    Number of infants

    payerPassportId string

    Passport identifier of payer

    totalAmounts

    object

    fare number

    Total fare excluding taxes and fees

    taxes number

    Total tax amount

    fee number

    Total fees

    boardingFee number

    Boarding or service fee

    ticketIssueAddress string

    Ticket issuing location

    ancillaryServices

    object[]

  • Array [

  • passenger

    object

    firstName string
    lastName string

    flight

    object

    ticketNumber string

    services

    object[]

  • Array [

  • categoryCode string
    subCategoryCode string
    amount number
    currency string

    Possible values: >= 3 characters and <= 3 characters

    ticketNumber string
  • ]

  • ]

  • flightLegsDetails

    object[]

    Possible values: <= 4

  • Array [

  • airlineCode stringrequired

    Two-letter IATA airline code

    Possible values: >= 2 characters and <= 2 characters

    flightNumber stringrequired

    Airline flight number

    Possible values: non-empty

    departureDate date-timerequired

    Local departure airport date/time

    arrivalDate date-timerequired

    Local arrival airport date/time

    departureCountry stringrequired

    ISO-2 country code

    Possible values: >= 2 characters and <= 2 characters

    departureCity string

    Departure city name

    departureAirport stringrequired

    IATA 3-letter departure airport code

    Possible values: >= 3 characters and <= 3 characters

    destinationCountry stringrequired

    ISO-2 country code

    Possible values: >= 2 characters and <= 2 characters

    destinationCity string

    Destination city name

    destinationAirport stringrequired

    IATA 3-letter destination airport code

    Possible values: >= 3 characters and <= 3 characters

    type LegType (string)required

    Domestic or International

    Possible values: [Domestic, International]

    flightType FlightType (string)

    RoundTrip or OneWay. Required when Risk pre-Auth is enabled

    Possible values: [RoundTrip, OneWay]

    ticketDeliveryMethod string

    For example - P physical or E electronic.

    ticketDeliveryRecipient string

    Ticket recipient name

    fareBasisCode string

    Fare basis or booking code

    serviceClass string

    Cabin or service class

    seatClass string

    Seat or fare class

    stopOverCode StopOverCode (string)required

    O - destination, X - connection, or - blank

    Possible values: non-empty and <= 1 characters, [O, X, ]

    departureTaxAmount number

    Departure tax amount

    departureTaxCurrency string

    ISO-3 currency code

    Possible values: >= 3 characters and <= 3 characters

    fareAmount number

    Fare amount for this leg

    feeAmount number

    Fees for this leg

    taxAmount number

    Taxes for this leg

    layoutInterval integer

    Minutes between legs

  • ]

  • passengersDetails

    object[]

    Possible values: <= 10

  • Array [

  • passportNumber string

    Passport number exactly as printed

    customerCode string

    Airline customer identifier

    frequentFlyerCode string

    Loyalty program number

    title string

    Passenger title, e.g. Mr, Ms, Dr

    firstName stringrequired

    Passenger first name

    Possible values: non-empty

    lastName stringrequired

    Passenger last name

    Possible values: non-empty

    middleName string

    Required if present on passport

    passengerName string

    Full passenger name as shown on the ticket

    dateOfBirth date

    Date of birth, YYYY-MM-DD

    phone string

    Passenger contact phone number

  • ]

  • marketplace

    object

    description string

    sellerDetails

    object[]

  • Array [

  • uniqueAccountIdentifier

    object

    phone string
    email string
    other string

    subMerchant

    object

    id string
    name string
    zip string

    productDetails

    object

    category string
    name string

    accountDetails

    object

    registrationDate date-time

    accountLastModified

    object

    password date-time
    email date-time
    listing date-time
    login date-time
    address date-time
    sellerRating number
    numberOfTrades number
    volumeOfTrades number
  • ]

  • buyerDetails

    object[]

  • Array [

  • uniqueAccountIdentifier

    object

    phone string
    email string
    other string

    accountDetails

    object

    registrationDate date-time

    accountLastModified

    object

    password date-time
    email date-time
    listing date-time
    login date-time
    address date-time
    numberOfTrades number
    volumeOfTrades number
  • ]

Responses

OK

Schema

    paymentId idType (string)
    Example: 2f00eba7-66ad-4d8b-8d54-b8c9183e664f
    transactionId transactionId (string)

    Nuvei Digital Payments Gateway Transaction ID

    Possible values: <= 20 characters

    externalTransactionId ExternalTransactionId (string)

    The transaction ID of the transaction in the event that an external service is used.

    Possible values: <= 50 characters

    amount number

    The transaction amount.

    currency string

    Possible values: >= 3 characters and <= 3 characters

    transactionType transactionType (string)

    Determines the transaction type that is sent to the Gateway, when it comes to performing the fiscal transaction. Default is Sale.

    Possible values: [Auth, Sale, PreAuth, Settle, Void, Refund, InitAuth3D, Auth3D, Sale3D, Payout]

    result

    object

    required

    status stringrequired

    Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]

    errors

    object

    code string

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    Possible values: <= 400 characters

    Example: Internal Processing Error
    reference string

    Internal reference for troubleshooting

    Possible values: <= 400 characters

    Example: 110.1290
    authCode string

    The authorization code of the transaction.

    Possible values: <= 128 characters

    cvv2Code string

    The CVV2 (card verification value) response. Values: M = CVV2 Match | N = CVV2 No Match | P = Not Processed | U = Issuer is not certified and/or has not provided Visa the encryption keys | S = CVV2 processor is unavailable.

    Possible values: <= 1 characters

    avsCode string

    The address verification service (AVS) response. Values: A = The street address matches, the ZIP code does not. | W = Postal code matches, the street address does not. | Y = Postal code and the street address match. | X = An exact match of both the 9-digit ZIP code and the street address. | Z = Postal code matches, the street code does not. | U = Issuer is unavailable. | S = AVS not supported by issuer. | R = Retry. | B = Not authorized (declined). | N = Both the street address and postal code do not match.

    Possible values: <= 1 characters

    partialApproval

    object

    Partial approval is when the deposit completes with a processed amount lower than the requested amount due to a lack of sufficient funds in the consumer payment method.

    requestedAmount numberrequired
    requestedCurrency stringrequired

    Possible values: >= 3 characters and <= 3 characters

    providerResponseDetails

    object

    code string

    Possible values: <= 100 characters

    reason string

    Possible values: <= 400 characters

    aftDetails

    object

    isAftTransaction boolean
    isAftOverriden boolean
    mcc string

    nameVerification

    object

    result OverallInquiryStatus (string)

    Possible values: [noMatch, partialMatch, match, unverified, notPerformed, notSupported]

    firstName NameInquiryStatus (string)

    Possible values: [noMatch, partialMatch, match, unverified]

    middleName NameInquiryStatus (string)

    Possible values: [noMatch, partialMatch, match, unverified]

    lastName NameInquiryStatus (string)

    Possible values: [noMatch, partialMatch, match, unverified]

    schemeDetails

    object

    transactionLinkId string
    redirectUrl string

    Possible values: <= 2000 characters

    actionDetails

    object

    property name* string

    additionalTransactionInfo

    object

    additionalTransactionBankId string
    additionalExternalTransactionId string
    referenceId string

    paymentOption

    object

    card

    object

    cardHolderName string

    The cardholder name.

    Possible values: <= 70 characters

    maskedCardNumber string

    The masked credit card number.

    Possible values: <= 20 characters

    bin string

    The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    Possible values: <= 8 characters

    last4Digits string

    The last four digits of the card number.

    Possible values: <= 4 characters

    expirationMonth string

    The card expiration month.

    Possible values: <= 2 characters

    expirationYear string

    The card expiration year.

    Possible values: <= 4 characters

    acquirerId string

    The ID of the acquirer that processed the transaction.

    Possible values: <= 2 characters

    cardType string

    The type of card used in the transaction. Values: Credit, Debit

    Possible values: <= 20 characters

    cardBrand string

    The card brand used in the transaction. Values: VISA, MASTERCARD, AMEX

    Possible values: <= 20 characters

    paymentAccountReference string

    Possible values: <= 29 characters

    paymentTokenId tokenId (string)

    Payment Token ID

    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2
    issuerBankName string
    issuerCountry string

    threeD

    object

    version string

    The full version of the 3DS protocol for the transaction.

    Possible values: <= 10 characters

    Example: 2.1.0
    fingerprintUrl string

    The URL to which to post the fingerprintPayload to perform device fingerprinting.

    fingerprintPayload string

    The payload to be posted to the fingerprintUrl to perform the device fingerprinting.

    dsTransId uuid

    The transaction ID of the Directory Server (part of the fingerprintPayload).

    alternativePaymentMethod

    object

    name stringrequired

    Possible values: non-empty and <= 50 characters

    Example: ACH
    data object
    Example: {"accountNumber":"11345739548759","routingNumber":"847937857"}
    usageIntent UsageIntent (string)

    Possible values: [initial, recurring, direct]

    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2
    paymentTokenId tokenId (string)

    Payment Token ID

    networkToken

    object

    provider TokenProvider (string)

    The name of the external token provider Possible values: [ApplePay, GooglePay]

    Possible values: [ApplePay, GooglePay, Click2Pay, Paze]

    eciIndicator string

    Possible values: <= 100 characters

    expirationMonth string

    The card expiration month.

    Possible values: <= 2 characters

    expirationYear string

    The card expiration year.

    Possible values: <= 4 characters

    cardHolderName string

    The card holder name.

    Possible values: <= 70 characters

    maskedCardNumber string

    The masked credit card number.

    Possible values: <= 20 characters

    bin string

    The first six digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    Possible values: <= 8 characters

    last4Digits string

    The last four digits of the card number.

    Possible values: <= 4 characters

    acquirerId string

    The ID of the acquirer that processed the transaction.

    Possible values: <= 2 characters

    cardType string

    The type of card used in the transaction. Values: Credit, Debit

    Possible values: <= 20 characters

    cardBrand string

    The card brand used in the transaction. Values: VISA, MASTERCARD, AMEX

    Possible values: <= 20 characters

    paymentTokenId tokenId (string)

    Payment Token ID

    merchantReference merchantReference (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: 12391284AF87C7D2

    threeD

    object

    version string

    The full version of the 3DS protocol for the transaction.

    Possible values: <= 10 characters

    Example: 2.1.0
    fingerprintUrl string

    The URL to which to post the fingerprintPayload to perform device fingerprinting.

    fingerprintPayload string

    The payload to be posted to the fingerprintUrl to perform the device fingerprinting.

    dsTransId uuid

    The transaction ID of the Directory Server (part of the fingerprintPayload).

    issuerBankName string
    issuerCountry string
Loading...